import { Router } from "express";
const router = Router();
import userController from "../controllers/user.controller.js";
import validate from "../middleware/validate.js";
import { updateUserSchema } from "../validators/user.validator.js";
import verifyToken from "../middleware/authenticate.js";
import multer from "multer";
const upload = multer();  // memory storage

router.put(
  "/update-user",
  verifyToken,
  validate(updateUserSchema),
  userController.updateUser
);

router.post("/upload", upload.single("file"), userController.uploadS3File);

router.get(
  "/get-upload/:key",
  userController.getS3SignedUrl
);


export default router;
