import dotenv from 'dotenv'
dotenv.config()
import express, { urlencoded, json } from "express";
// import { connectDB } from "./models/index.js";
import indexRoutes from "./routes/index.js";
import { serve, setup } from "swagger-ui-express";
import swaggerSpec from "./swaggerUI/swagger.js";

const app = express();

app.use(urlencoded());
app.use(json());
app.use("/api-docs", serve, setup(swaggerSpec));
app.use("/api", indexRoutes);

const PORT = process.env.PORT || 3001;
// connectDB().then(() => {
  app.listen(PORT, () => console.log(`Server running on port ${PORT}`));
// });
